Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui.text
Class StructuredSyntaxHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          groovy.ui.text.StructuredSyntaxHandler

    class StructuredSyntaxHandler
    extends DefaultHandler

author:
  Evan "Hippy" Slatis

Field Summary
`static String` | `ALIGNMENT`
`static String` | `ALIGN_CENTER`
`static String` | `ALIGN_JUSTIFIED`
`static String` | `ALIGN_LEFT`
`static String` | `ALIGN_RIGHT`
`static String` | `BACKGROUND`
`static String` | `BIDI_LEVEL`
`static String` | `BOLD`
`static String` | `COMPONENT_ATTRIBUTE`
`static String` | `COMPONENT_ELEMENT_NAME`
`static String` | `COMPOSED_TEXT_ATTRIBUTE`
`static String` | `FIRST_LINE_INDENT`
`static String` | `FONT_FAMILY`
`static String` | `FONT_SIZE`
`static String` | `FOREGROUND`
`static String` | `ICON_ATTRIBUTE`
`static String` | `ICON_ELEMENT_NAME`
`static String` | `ITALIC`
`static String` | `LEFT_INDENT`
`static String` | `LINE_SPACING`
`static String` | `MODEL_ATTRIBUTE`
`static String` | `NAME_ATTRIBUTE`
`static String` | `ORIENTATION`
`static String` | `REGEXP`
`static String` | `RESOLVE_ATTRIBUTE`
`static String` | `RIGHT_INDENT`
`static String` | `SPACE_ABOVE`
`static String` | `SPACE_BELOW`
`static String` | `STRIKE_THROUGH`
`static String` | `STYLE`
`static String` | `SUBSCRIPT`
`static String` | `SUPERSCRIPT`
`static String` | `TAB_SET`
`static String` | `UNDERLINE`

Constructor Summary
`StructuredSyntaxHandler(StructuredSyntaxDocumentFilter filter)` Creates a new instance of MasterFrameHandler

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `endDocument()`
`void` | `endElement(String uri, String localName, String qName)`
`void` | `error(SAXParseException e)`
`void` | `startDocument()`
`void` | `startElement(String uri, String localName, String qName, Attributes attributes)`

Methods inherited from class DefaultHandler
error, warning, characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, resolveEntity, fatalError, notationDecl, unparsedEntityDecl, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### ALIGNMENT

    static final String ALIGNMENT

### ALIGN_CENTER

    static final String ALIGN_CENTER

### ALIGN_JUSTIFIED

    static final String ALIGN_JUSTIFIED

### ALIGN_LEFT

    static final String ALIGN_LEFT

### ALIGN_RIGHT

    static final String ALIGN_RIGHT

### BACKGROUND

    static final String BACKGROUND

### BIDI_LEVEL

    static final String BIDI_LEVEL

### BOLD

    static final String BOLD

### COMPONENT_ATTRIBUTE

    static final String COMPONENT_ATTRIBUTE

### COMPONENT_ELEMENT_NAME

    static final String COMPONENT_ELEMENT_NAME

### COMPOSED_TEXT_ATTRIBUTE

    static final String COMPOSED_TEXT_ATTRIBUTE

### FIRST_LINE_INDENT

    static final String FIRST_LINE_INDENT

### FONT_FAMILY

    static final String FONT_FAMILY

### FONT_SIZE

    static final String FONT_SIZE

### FOREGROUND

    static final String FOREGROUND

### ICON_ATTRIBUTE

    static final String ICON_ATTRIBUTE

### ICON_ELEMENT_NAME

    static final String ICON_ELEMENT_NAME

### ITALIC

    static final String ITALIC

### LEFT_INDENT

    static final String LEFT_INDENT

### LINE_SPACING

    static final String LINE_SPACING

### MODEL_ATTRIBUTE

    static final String MODEL_ATTRIBUTE

### NAME_ATTRIBUTE

    static final String NAME_ATTRIBUTE

### ORIENTATION

    static final String ORIENTATION

### REGEXP

    static final String REGEXP

### RESOLVE_ATTRIBUTE

    static final String RESOLVE_ATTRIBUTE

### RIGHT_INDENT

    static final String RIGHT_INDENT

### SPACE_ABOVE

    static final String SPACE_ABOVE

### SPACE_BELOW

    static final String SPACE_BELOW

### STRIKE_THROUGH

    static final String STRIKE_THROUGH

### STYLE

    static final String STYLE

### SUBSCRIPT

    static final String SUBSCRIPT

### SUPERSCRIPT

    static final String SUPERSCRIPT

### TAB_SET

    static final String TAB_SET

### UNDERLINE

    static final String UNDERLINE

Constructor Detail

### StructuredSyntaxHandler

    public StructuredSyntaxHandler(StructuredSyntaxDocumentFilter filter)

  Creates a new instance of MasterFrameHandler
  param:
    filter

Method Detail

### characters

    public void characters(char[] ch, int start, int length)

  param:
    ch
  param:
    start
  param:
    length

### endDocument

    public void endDocument()

  throws:
    SAXException

### endElement

    public void endElement(String uri, String localName, String qName)

  param:
    uri
  param:
    localName
  param:
    qName
  throws:
    SAXException

### error

    public void error(SAXParseException e)

  param:
    e
  throws:
    SAXException

### startDocument

    public void startDocument()

  throws:
    SAXException

### startElement

    public void startElement(String uri, String localName, String qName, Attributes attributes)

  param:
    uri
  param:
    localName
  param:
    qName
  param:
    attributes
  throws:
    SAXException

Copyright © 2003-2009 The Codehaus. All rights reserved.